Subject: Fwd: New Version Notification for draft-nottingham-http-link-header-02

From: Mark Nottingham <[email-masked]>
Date: Thu, 3 Jul 2008 11:12:28 +1000

<http://www.ietf.org/internet-drafts/draft-nottingham-http-link-header-02.txt 

Diff available here shortly (I hope):
   <http://tools.ietf.org/html/draft-nottingham-http-link-header-02>

Cheers,

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: 3 July 2008 11:05:44 AM
> To: [email-masked]
> Subject: New Version Notification for  draft-nottingham-http-link- 
> header-02
>
>
> A new version of I-D, draft-nottingham-http-link-header-02.txt has  
> been successfuly submitted by Mark Nottingham and posted to the IETF  
> repository.
>
> Filename:	 draft-nottingham-http-link-header
> Revision:	 02
> Title:		 HTTP Header Linking
> Creation_date:	 2008-07-03
> WG ID:		 Independent Submission
> Number_of_pages: 13
>
> Abstract:
> This document clarifies the status of the Link HTTP header and
> attempts to consolidate link relations in a single registry.
>
>
>
> The IETF Secretariat.
>
>

--
Mark Nottingham     http://www.mnot.net/

---

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 3 Jul 2008 05:11:33 +0200

> <http://tools.ietf.org/html/draft-nottingham-http-link-header-02>

Thanks.

Looking at it, you fixed the base URI for registered relations,
but you didn't tell IANA what they have to do.  Maybe copy the
blurb from...

<http://tools.ietf.org/html/draft-ellermann-opensearch-00#section-3>

...I'd like to get rid of it with a normative reference to your
draft.  If all goes well (of course it never does) rel="search"
can be the first user of your combined registry.

 Frank

---

From: Phil Archer <[email-masked]>
Date: Thu, 03 Jul 2008 12:36:56 +0100

Adding Jonathan Rees.

Mark,

You'll be unsurprised to know I'm delighted to see progress with this. 
An updated version of the  POWDER document that makes specific reference 
to your draft (and the TAG endorsement thereof) has just been published 
[1] - and now it's out of date as it links to ...01.txt. Ah well.

I'm a little concerned about this from section 4.2 though:

"A Link relation is a way of indicating the semantics of a link.  Link
relations are not format-specific, and MUST NOT specify a particular
format or media type that they are to be used with."

Well, here's what I'd like to add to the registry:

Relation Name: powder

Description: links to a document containing one
              or more Description Resources

Reference: http://www.w3.org/TR/powder-dr/#assoc-linking

But I guess this falls foul of the not specifying a format rule? As a 
possible get out of gaol card - POWDER has more than one format (one 
XML, one RDF/OWL) so the type attribute matters.

A more generic relationship would be 'describedBy' but with a type of 
application/xml that could be all sorts of things, it certainly doesn't 
raise an expectation that the linked resource will be a POWDER document.

Why such a tight restriction on what a (registered) relationship type 
can be?

Phil

[1] http://www.w3.org/TR/2008/WD-powder-dr-20080630/#far

Mark Nottingham wrote:
> 
> <http://www.ietf.org/internet-drafts/draft-nottingham-http-link-header-02.txt> 
> 
> 
>> Subject: New Version Notification for  
>> draft-nottingham-http-link-header-02
>>
>>

-- 
Phil Archer
Chief Technical Officer,
Family Online Safety Institute
w. http://www.fosi.org/people/philarcher/

---

From: "Jonathan Rees" <[email-masked]>
Date: Thu, 17 Jul 2008 15:24:29 -0400

My guess is that the text is meant to say that the link is from the
resource, not from this particular format (representation) of it. Looks like
you thought the comment applied to the link target, and I don't think it
does or should, since obviously particular relationship types *could*
require that the target be some particular kind (format) of thing.

In my survey of www-tag discussion list readers regarding Link: a number of
people were concerned that it should be made very clear that the links
really were meant to apply to the resource, not (just) to the particular
representation (format, language variant) being returned. I think this is
what Mark is trying to do here. I suggest the text of the RFC draft could be
strengthened somehow, especially given that it has already been misread by
at least one competent reader. "Resource" and "representation" are used in
RFC2616, and while the impulse to avoid such confusing terms is commendable,
it may be best to call them forth at this point, as their use will correctly
relate the Link: header to W3C recommendations (RDF, AWWW, POWDER, ...)
without having to cite any of them.

Jonathan

On Thu, Jul 3, 2008 at 7:36 AM, Phil Archer <[email-masked]> wrote:

> Adding Jonathan Rees.
>
> Mark,
>
> You'll be unsurprised to know I'm delighted to see progress with this. An
> updated version of the  POWDER document that makes specific reference to
> your draft (and the TAG endorsement thereof) has just been published [1] -
> and now it's out of date as it links to ...01.txt. Ah well.
>
> possible get out of gaol card - POWDER has more than one format (one XML,
> one RDF/OWL) so the type attribute matters.
>
> Why such a tight restriction on what a (registered) relationship type can
> be?
>
> Phil
>
>> <
>> http://www.ietf.org/internet-drafts/draft-nottingham-http-link-header-02.txt>
>>
>>
>>> A new version of I-D, draft-nottingham-http-link-header-02.txt has been
>>> successfuly submitted by Mark Nottingham and posted to the IETF repository.
>>>